<template>
    <div class="animated-octagon" @click="toggleAnimation"></div>
  </template>
  
  <script>
  import { ref } from 'vue';
  
  export default {
    name: 'AnimatedOctagon',
    setup() {
      const isAnimating = ref(false);
  
      const toggleAnimation = () => {
        isAnimating.value = !isAnimating.value;
      };
  
      return {
        isAnimating,
        toggleAnimation,
      };
    },
  };
  </script>
  
  <style scoped>
  .animated-octagon {
    width: 100px;
    height: 100px;
    background-color: #e74c3c;
    clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
    opacity: 1;
    transition: all 0.5s ease-in-out;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Add a box shadow for a 3D effect */
  }
  
  .animated-octagon.animating {
    opacity: 0.5;
    transform: translate(-50%, -50%) scale(1.2);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.4); /* Increase shadow for 3D effect during animation */
  }
  </style>
  